Page MenuHomePhabricator

[lldb-vscode] Add Compile Unit List to Modules View
ClosedPublic

Authored by aelitashen on Jul 2 2020, 12:01 PM.

Details

Summary

User can expand and check compile unit list for the modules that have debug info.

Diff Detail

Event Timeline

aelitashen created this revision.Jul 2 2020, 12:01 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 2 2020, 12:01 PM
aelitashen retitled this revision from Add Compile Unit List to Modules View to [lldb-vscode] Add Compile Unit List to Modules View.Jul 2 2020, 12:02 PM

Remove comment line in request_getCompileUnits

The patch and the description don't seem to match. Deleting the commented-out code is obviously fine, but I'm somewhat confused by this.

When removing out commented code, you don't need a patch for that. I think you might have committed two things to your local branch and when you ran "arc diff" it only submitted the second commit. When doing "arc diff" make sure to use:

git commit --amend ...
aelitashen planned changes to this revision.Jul 7 2020, 11:39 AM

Recover Messy Diff History

clayborg requested changes to this revision.Jul 8 2020, 2:42 PM

Just use the SBFileSpec::GetPath(...) and document the compile unit request, args and response, and this will be ready.

lldb/tools/lldb-vscode/JSONUtils.cpp
942–943

Let LLDB handle the '/' like we did using SBFileSpec::GetPath(...) here.

lldb/tools/lldb-vscode/lldb-vscode.cpp
1177

We need to document the packet format like ""InitializeRequest" on lines 1202-1277.

This revision now requires changes to proceed.Jul 8 2020, 2:42 PM

Fix Path and Add Documentation

clayborg accepted this revision.Jul 8 2020, 5:13 PM
This revision is now accepted and ready to land.Jul 8 2020, 5:13 PM
This revision was automatically updated to reflect the committed changes.